Bug 1749589 - can we have python2-gobject-devel and python3-gobject-devel instead pygobject3-devel ?
Summary: can we have python2-gobject-devel and python3-gobject-devel instead pygobjec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pygobject3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2019-09-05 23:59 UTC by Sergio Monteiro Basto
Modified: 2019-09-24 03:11 UTC (History)
5 users (show)

Fixed In Version: pygobject3-3.34.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-24 03:11:26 UTC


Attachments (Terms of Use)

Description Sergio Monteiro Basto 2019-09-05 23:59:19 UTC
Description of problem:

Installing pygobject3-devel [1] It will install python2 and python3 libs , when one goal for F32 is Python_2_Package_Removal [2]



[1]
Installing:
 pygobject3-devel                               x86_64                    3.33.1-1.fc32                      fedora                    156 k
Installing dependencies:
 autoconf                                       noarch                    2.69-29.fc30                       fedora                    698 k
 automake                                       noarch                    1.16.1-13.fc31                     fedora                    666 k
 gobject-introspection                          x86_64                    1.61.2-1.fc32                      fedora                    270 k
 gobject-introspection-devel                    x86_64                    1.61.2-1.fc32                      fedora                    1.1 M
 libtool                                        x86_64                    2.4.6-31.fc31                      fedora                    579 k
 perl-Data-Dumper                               x86_64                    2.174-440.fc31                     fedora                     57 k
 perl-Thread-Queue                              noarch                    3.13-439.fc31                      fedora                     22 k
 python-rpm-macros                              noarch                    3-48.fc32                          fedora                     12 k
 python2-cairo                                  x86_64                    1.18.1-3.fc32                      fedora                     93 k
 python2-gobject                                x86_64                    3.33.1-1.fc32                      fedora                     17 k
 python2-gobject-base                           x86_64                    3.33.1-1.fc32                      fedora                    317 k
 python2-rpm-macros                             noarch                    3-48.fc32                          fedora                     11 k
 python27                                       x86_64                    2.7.16-9.fc32                      fedora                     11 M
 python3-cairo                                  x86_64                    1.18.1-3.fc32                      fedora                     94 k
 python3-gobject                                x86_64                    3.33.1-1.fc32                      fedora                     17 k
 python3-gobject-base                           x86_64                    3.33.1-1.fc32                      fedora                    320 k
 python3-mako                                   noarch                    1.1.0-1.fc32                       fedora                    145 k
 python3-markupsafe                             x86_64                    1.1.1-3.fc32                       fedora                     32 k
 python3-rpm-generators                         noarch                    9-2.fc31                           fedora                     23 k
 python3-setuptools                             noarch                    41.2.0-1.fc32                      fedora                    581 k
 tcl                                            x86_64                    1:8.6.8-2.fc32                     fedora                    1.1 M
 tix                                            x86_64                    1:8.4.3-27.fc31                    fedora                    246 k
 tk                                             x86_64                    1:8.6.8-1.fc30                     fedora                    1.5 M



[2]
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-09-06 10:09:28 UTC
$ repoquery --repo=koji --requires pygobject3-devel | grep py
python2-gobject(x86-64) = 3.33.1-1.fc32
python3-gobject(x86-64) = 3.33.1-1.fc32

That indeed seems weird.

Comment 2 Kalev Lember 2019-09-21 18:07:16 UTC
Good idea, thanks! I went ahead and did that in https://src.fedoraproject.org/rpms/pygobject3/c/8f63fe6ddce417442b23709fb29943abe59e3b4c

Comment 3 Fedora Update System 2019-09-21 18:12:42 UTC
FEDORA-2019-f35151f824 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f35151f824

Comment 4 Fedora Update System 2019-09-22 03:09:40 UTC
pygobject3-3.34.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f35151f824

Comment 5 Fedora Update System 2019-09-24 03:11:26 UTC
pygobject3-3.34.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.